OUT ?= exec
SRC = $(wildcard *.c)
OBJ = $(SRC:.c=.o)
DEPS = $(wildcard *.h)

CC = avr-gcc
MCU = atmega32u4

all: $(OUT)
	make flash

$(OUT): $(OBJ)
	$(CC) -mmcu=$(MCU) -Os -Wall -o $@ $^ 

%.o: %.c $(DEPS)
	$(CC) -mmcu=$(MCU) -Os -Wall -o $@ -c $< -I.

clean:
	rm -f *.o $(OUT)

flash: $(OUT)
	avrdude -c avr109 -b57600 -D -p $(MCU) -P /dev/ttyACM0 -e -U flash:w:$^
